package ca.recrown.islandsurvivalcraft.world;

import java.util.Random;

import org.bukkit.World;

import ca.recrown.islandsurvivalcraft.world.generation.IslandWorldChunkGenerator;

public class WorldInfo {
    public final long seed;
    public final BiomeMap biomeMap;
    public final TemperatureMap tempMap;
    public final IslandWorldMap islandMap;
    public final IslandWorldChunkGenerator generator;

    public WorldInfo(World world) {
        this.seed = world.getSeed();
        Random random = new Random(seed);
        biomeMap = new BiomeMap(random);
        tempMap = new TemperatureMap(random);
        islandMap = new IslandWorldMap(random);
        generator = new IslandWorldChunkGenerator(random, islandMap, tempMap, biomeMap, true, world.getSeaLevel(), world.getMaxHeight());
    }


}