package ca.recrown.islandsurvivalcraft.world.generation;

import java.util.Random;

import org.bukkit.World;
import org.bukkit.generator.ChunkGenerator;

import ca.recrown.islandsurvivalcraft.world.WorldInfoManager;

public class PluginDefaultWorldGenerator extends ChunkGenerator {
    private final WorldInfoManager worldInfos;
    
    /**
     * Creates a default world generator given a world info manager to associate the new world info with.
     * @param worldInfoManager The manager to associate the newly created world info with.
     */
    public PluginDefaultWorldGenerator(WorldInfoManager worldInfoManager) {
        this.worldInfos = worldInfoManager;
	}

	@Override
    public ChunkData generateChunkData(World world,Random random, int x, int z, BiomeGrid biome) {
        return worldInfos.retrieve(world).generator.generateChunkData(world, random, x, z, biome);
    }
}